#1475 closed defect

SIZE_MAX

Reported by: Ralf Corsepius Owned by: Ralf Corsepius
Priority: normal Milestone: 4.10
Component: tool/newlib Version: 4.8
Severity: normal Keywords:
Cc: joel.sherrill@… Blocked By:
Blocking:

Description (last modified by Gedare Bloom)

stdint.h's SIZE_MAX is wrong in GCC/newlib for several targets.

Affected are all current versions of gcc/newlib for all versions of RTEMS.

Fortunately, SIZE_MAX has not been used in RTEMS, so far
=> This bug currently doesn't have a visible impact on RTEMS.

Change History (3)

comment:1 Changed on Aug 9, 2010 at 2:10:50 PM by Ralf Corsepius

Milestone: 2
Status: newassigned

comment:2 Changed on Aug 10, 2010 at 3:00:46 PM by Ralf Corsepius

When the built-spin has finished, this issue is supposed to be fixed for rtems-4.10.

Bug is still present in rtems < 4.10 toolchains. However for rtems < 4.10 it is mixed with other stdint.h related issues which are fixed in rtems >= 4.10.

Therefore, I am not sure, it's worth addressing the SIZE_MAX issue
for rtems < 4.10.

comment:3 Changed on Nov 22, 2014 at 12:40:23 PM by Gedare Bloom

Description: modified (diff)
Milestone: 4.10
Resolution: fixed
Status: assignedclosed
Version: unspecified4.8
Note: See TracTickets for help on using tickets.